%{?nodejs_find_provides_and_requires}

%global packagename braces

# Tests disabled temporarily to build dependencies that depend on npm(braces)
%global enable_tests 0

Name:		nodejs-braces
Version:	2.0.4
Release:	1%{?dist}
Summary:	Fastest brace expansion for node.js

License:	MIT
URL:		https://github.com/jonschlinkert/braces.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	examples-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(arr-flatten)
BuildRequires:	npm(array-unique)
BuildRequires:	npm(expand-range)
BuildRequires:	npm(preserve)
BuildRequires:	npm(snapdragon)
BuildRequires:	npm(split-string)
BuildRequires:	npm(to-regex)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(ansi-cyan)
#BuildRequires:	npm(benchmarked)
BuildRequires:	npm(brace-expansion)
BuildRequires:	npm(cross-spawn)
BuildRequires:	npm(fs-exists-sync)
BuildRequires:	npm(is-windows)
BuildRequires:	npm(minimatch)
BuildRequires:	npm(noncharacters)
BuildRequires:	npm(pretty-bytes)
BuildRequires:	npm(text-table)
BuildRequires:	npm(time-diff)
BuildRequires:	npm(yargs-parser)
%endif

%description
Fastest brace expansion for node.js, with the most complete support for the
Bash 4.3 braces specification.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
# setup the examples
%setup -q -T -D -a 2 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
#npm install --dry-run
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md examples/
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Apr 14 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.4-1
- Update to upstream 2.0.4 release

* Sat Jun 18 2016 Jared Smith <jsmith@fedoraproject.org> - 1.8.5-1
- Update to upstream 1.8.5 release

* Thu Feb  4 2016 Jared Smith <jsmith@fedoraproject.org> - 1.8.3-1
- Initial packaging
